database daten

define mo_vkdnr integer,
       mo_bkdnr integer,
       mo_fbpks record like fbpks.*,
       mo_egal  char(1)


main

   let mo_vkdnr = 0
   let mo_bkdnr = 99999

   call auswahl()

end main

function auswahl()

   open form f1 from "maske"
   display form f1

   input by name mo_egal

      on action weiter
         call drucken()

      on action zurueck
         exit input
   
   end input

end function

function drucken()
define lo_ok smallint

  call fgl_report_loadCurrentSettings("report.4rp") returning lo_ok
  call fgl_report_selectDevice("SVG")
  let lo_ok = true 
  call fgl_report_selectPreview(lo_ok)
  call fgl_report_commitCurrentSettings() returning lo_ok

  start report kunden to file "/programme/public/genero-rw/kunden.txt"

  declare c1 cursor for
  select fbpks.* from fbpks
   where fbpks.firmennr    = 0
     and fbpks.ktoart = 1
     and fbpks.persktonr between mo_vkdnr and mo_bkdnr
   foreach c1 into mo_fbpks.*
   
      output to report kunden (mo_fbpks.*)

   end foreach

   finish report kunden

end function

report kunden (r_fbpks)
define r_fbpks record like fbpks.*

output
   page length 83
   left margin 0
   right margin 132
   top margin 0
   bottom margin 0

order by r_fbpks.persktonr

format

   page header 
      printx today

   on every row
      printx r_fbpks.*


end report
